<br>

<div align="center">
    <img src="https://github.com/AstrOOnauta/next-js-boilerplate/blob/main/public/images/dev-libraries.jpg" alt="Boilerplate Next JS + Typescript + Chakra UI + Prettier + ESLint + Pre-commit (Husky + Lint-staged) + Cypress (e2e + component)">
</div>

</br>

<h1 align="center">NEXT JS BOILERPLATE</h1>

<p align="center">
  <a href="https://www.npmjs.com/package/create-next-js-boilerplate">
    <img src="https://img.shields.io/npm/v/create-next-js-boilerplate.svg?style=flat-square">
  </a>
  <a href="https://www.npmjs.com/package/create-next-js-boilerplate">
    <img src="https://img.shields.io/npm/dt/create-next-js-boilerplate.svg?style=flat-square&color=success">
  </a>
  <a href="https://github.com/AstrOOnauta/next-js-boilerplate">
    <img src="https://img.shields.io/github/stars/AstrOOnauta/next-js-boilerplate?style=flat-square&color=success"/>
  </a>
  <a href="https://github.com/AstrOOnauta/next-js-boilerplate/issues">
    <img src="https://img.shields.io/github/issues/AstrOOnauta/next-js-boilerplate?style=flat-square&color=blue"/>
  </a>
  <a href="https://github.com/AstrOOnauta/next-js-boilerplate/pulls">
    <img src="https://img.shields.io/github/issues-pr/AstrOOnauta/next-js-boilerplate?style=flat-square&color=blue"/>
  </a>
  <a href="https://github.com/AstrOOnauta/next-js-boilerplate/blob/main/LICENSE.md">
    <img src="https://img.shields.io/:license-isc-yellow.svg?style=flat-square"/>
  </a>
</p>

This is a [Next.js](https://nextjs.org/) Boilerplate set up with Typescript, Chakra UI, Eslint, Prettier, Pre-commit (Husky + lint-staged) and Cypress.

**Get this starter project and maximize your experience like DEVELOPER!!!**

<br>

<div align = "center">
    <a href="https://www.buymeacoffee.com/astroonauta" target="_blank">
        <img src="https://survivingmexico.files.wordpress.com/2018/07/button-gif.gif" alt="Buy Me A Coffee"     style="height: auto !important;width: 60% !important;">
    </a>
</div>

<br>

## Old Versions

- [Version 13.x](https://github.com/AstrOOnauta/next-js-boilerplate/tree/v13.x)

<br>

## System Requirements

- Node.js 18.12.0 or later;
- macOS, Windows (including WSL), and Linux are supported.

## 💻 Programming languages and technologies

- [NextJS](https://nextjs.org/)
- [TypeScript](https://www.typescriptlang.org/)
- [Chakra UI](https://chakra-ui.com/)
- [Eslint](https://eslint.org/)
- [Prettier](https://prettier.io/)
- [Husky](https://typicode.github.io/husky/#/)
- [Lint-staged](https://github.com/okonet/lint-staged)
- [Cypress](https://www.cypress.io/)

## Features

- ⚛️ All of Next's advantages (Live reload, SSR, SSG, native API... );
- 🎨 Styling with Chakra UI;
- 🌓 Setup with dark/light theme support;
- 🛠 Types support by Typescript;
- 📝 Code check and formatter by ESLint and Prettier;
- ✅ Pre-commit check by Husky and Lint-staged;
- 🧪 E2E and Component testing with Cypress;
- ✨ Absolute imports `(~)`;
- 💡 Minimal folder structure;
- 🔍 SEO friendly;
- 🚀 All productivity to your project.

## Automatic Installation

- Install the create-next-js-boilerplate

`$ yarn create next-js-boilerplate` OR `$ npx create-next-js-boilerplate`

- Put the Husky to work

`$ yarn husky-install` OR `$ npm run husky-install`

- Run the development server

`$ yarn dev` OR `$ npm run dev`

- and... ENJOY 🛠️🚧⚙️

```
    1. Open (http://localhost:3000) with your browser to see the result.
    2. You can start editing the page by modifying `pages/index.tsx`. The page auto-updates as you edit the file.
```

## Manual Installation

- Clone repository

`$ git clone https://github.com/AstrOOnauta/next-js-boilerplate.git`

- Install dependencies

`$ yarn` OR `$ npm i`

- Put the Husky to work

`$ yarn husky-install` OR `$ npm run husky-install`

- Run the development server

`$ yarn dev` OR `$ npm run dev`

- and... ENJOY 🛠️🚧⚙️

```
    1. Open (http://localhost:3000) with your browser to see the result.
    2. You can start editing the page by modifying `pages/index.tsx`. The page auto-updates as you edit the file.
```

## Terminal commands

- `dev`: runs your application on `localhost:3000`;
- `build`: creates the production build version;
- `start`: starts a simple server with the build production code;
- `prettier`: runs the prettier commands in all components and pages;
- `lint`: runs the lintering commands in all components and pages;
- `lint-staged`: runs the linting & prettier commands to those files which are changed not all the project files;
- `husky-install`: initialize the husky;
- `type-check`: runs the linter in all components and pages;
- `cypress:open`: runs cypress on browser to check e2e and components tests;
- `cypress:run`: runs cypress on terminal to check e2e and components tests.

</br>

<div align="center">
	<br>
	Thanks for stopping by! 😁
</div>
